diff -Naurp mozilla-central.orig/dom/plugins/PluginInstanceChild.cpp mozilla-central/dom/plugins/PluginInstanceChild.cpp
--- dom/plugins/PluginInstanceChild.cpp	2010-12-14 17:02:43.000000000 -0800
+++ dom/plugins/PluginInstanceChild.cpp	2010-12-21 14:04:20.000000000 -0800
@@ -126,7 +126,7 @@ PluginInstanceChild::PluginInstanceChild
     , mWinlessHiddenMsgHWND(0)
 #endif // OS_WIN
     , mAsyncCallMutex("PluginInstanceChild::mAsyncCallMutex")
-#if defined(OS_MACOSX)
+#if defined(MOZ_WIDGET_COCOA)
 #if defined(__i386__)
     , mEventModel(NPEventModelCarbon)
 #endif
@@ -180,7 +180,7 @@ PluginInstanceChild::~PluginInstanceChil
 #if defined(OS_WIN)
     NS_ASSERTION(!mPluginWindowHWND, "Destroying PluginInstanceChild without NPP_Destroy?");
 #endif
-#if defined(OS_MACOSX)
+#if defined(MOZ_WIDGET_COCOA)
     if (mShColorSpace) {
         ::CGColorSpaceRelease(mShColorSpace);
     }
diff -Naurp mozilla-central.orig/dom/plugins/PluginInstanceChild.h mozilla-central/dom/plugins/PluginInstanceChild.h
--- dom/plugins/PluginInstanceChild.h	2010-12-14 17:02:43.000000000 -0800
+++ dom/plugins/PluginInstanceChild.h	2010-12-21 14:04:20.000000000 -0800
@@ -44,7 +44,7 @@
 #include "mozilla/plugins/StreamNotifyChild.h"
 #if defined(OS_WIN)
 #include "mozilla/gfx/SharedDIBWin.h"
-#elif defined(OS_MACOSX)
+#elif defined(MOZ_WIDGET_COCOA)
 #include "nsCoreAnimationSupport.h"
 #include "base/timer.h"
 #endif
@@ -370,7 +370,7 @@ private:
       HBITMAP         bmp;
     } mAlphaExtract;
 #endif // defined(OS_WIN)
-#if defined(OS_MACOSX)
+#if defined(MOZ_WIDGET_COCOA)
 private:
 #if defined(__i386__)
     NPEventModel          mEventModel;
diff -Naurp mozilla-central.orig/dom/plugins/PluginInstanceParent.cpp mozilla-central/dom/plugins/PluginInstanceParent.cpp
--- dom/plugins/PluginInstanceParent.cpp	2010-12-14 17:02:43.000000000 -0800
+++ dom/plugins/PluginInstanceParent.cpp	2010-12-21 14:04:20.000000000 -0800
@@ -108,7 +108,7 @@ PluginInstanceParent::PluginInstancePare
 void
 PluginInstanceParent::InitQuirksModes(const nsCString& aMimeType)
 {
-#ifdef OS_MACOSX
+#ifdef MOZ_WIDGET_COCOA
     NS_NAMED_LITERAL_CSTRING(flash, "application/x-shockwave-flash");
     // Flash sends us Invalidate events so we will use those
     // instead of the refresh timer.
@@ -127,7 +127,7 @@ PluginInstanceParent::~PluginInstancePar
     NS_ASSERTION(!(mPluginHWND || mPluginWndProc),
         "Subclass was not reset correctly before the dtor was reached!");
 #endif
-#if defined(OS_MACOSX)
+#if defined(MOZ_WIDGET_COCOA)
     if (mShWidth != 0 && mShHeight != 0) {
         DeallocShmem(mShSurface);
     }
@@ -1427,7 +1427,7 @@ PluginInstanceParent::AnswerPluginFocusC
 #endif
 }
 
-#ifdef OS_MACOSX
+#ifdef MOZ_WIDGET_COCOA
 void
 PluginInstanceParent::Invalidate()
 {
diff -Naurp mozilla-central.orig/dom/plugins/PluginInstanceParent.h mozilla-central/dom/plugins/PluginInstanceParent.h
--- dom/plugins/PluginInstanceParent.h	2010-12-14 17:02:43.000000000 -0800
+++ dom/plugins/PluginInstanceParent.h	2010-12-21 14:04:20.000000000 -0800
@@ -43,7 +43,7 @@
 #include "mozilla/plugins/PluginScriptableObjectParent.h"
 #if defined(OS_WIN)
 #include "mozilla/gfx/SharedDIBWin.h"
-#elif defined(OS_MACOSX)
+#elif defined(MOZ_WIDGET_COCOA)
 #include "nsCoreAnimationSupport.h"
 #endif
 
@@ -256,9 +256,9 @@ public:
     virtual bool
     AnswerPluginFocusChange(const bool& gotFocus);
 
-#if defined(OS_MACOSX)
+#ifdef MOZ_WIDGET_COCOA
     void Invalidate();
-#endif // definied(OS_MACOSX)
+#endif // definied(MOZ_WIDGET_COCOA)
 
     nsresult AsyncSetWindow(NPWindow* window);
     nsresult GetSurface(gfxASurface** aSurface);
@@ -308,7 +308,7 @@ private:
     WNDPROC            mPluginWndProc;
     bool               mNestedEventState;
 #endif // defined(XP_WIN)
-#if defined(OS_MACOSX)
+#if defined(MOZ_WIDGET_COCOA)
 private:
     Shmem              mShSurface; 
     size_t             mShWidth;
@@ -316,7 +316,7 @@ private:
     CGColorSpaceRef    mShColorSpace;
     int16_t            mDrawingModel;
     nsIOSurface       *mIOSurface;
-#endif // definied(OS_MACOSX)
+#endif // definied(MOZ_WIDGET_COCOA)
 
     // ObjectFrame layer wrapper
     nsRefPtr<gfxASurface>    mFrontSurface;
diff -Naurp mozilla-central.orig/dom/plugins/PluginModuleChild.cpp mozilla-central/dom/plugins/PluginModuleChild.cpp
--- dom/plugins/PluginModuleChild.cpp	2010-12-14 17:02:43.000000000 -0800
+++ dom/plugins/PluginModuleChild.cpp	2010-12-21 14:04:20.000000000 -0800
@@ -73,7 +73,7 @@
 #include "nsWindowsDllInterceptor.h"
 #endif
 
-#ifdef OS_MACOSX
+#ifdef MOZ_WIDGET_COCOA
 #include "PluginInterposeOSX.h"
 #include "PluginUtilsOSX.h"
 #endif
@@ -1556,7 +1556,7 @@ _popupcontextmenu(NPP instance, NPMenu* 
     PLUGIN_LOG_DEBUG_FUNCTION;
     AssertPluginThread();
 
-#ifdef OS_MACOSX
+#ifdef MOZ_WIDGET_COCOA
     double pluginX, pluginY; 
     double screenX, screenY;
 
@@ -2191,7 +2191,7 @@ PluginModuleChild::ResetEventHooks()
 }
 #endif
 
-#ifdef OS_MACOSX
+#ifdef MOZ_WIDGET_COCOA
 void
 PluginModuleChild::ProcessNativeEvents() {
     CallProcessSomeEvents();    
diff -Naurp mozilla-central.orig/dom/plugins/PluginModuleChild.h mozilla-central/dom/plugins/PluginModuleChild.h
--- dom/plugins/PluginModuleChild.h	2010-12-14 17:02:43.000000000 -0800
+++ dom/plugins/PluginModuleChild.h	2010-12-21 14:04:20.000000000 -0800
@@ -193,7 +193,7 @@ public:
     static NPUTF8* NP_CALLBACK NPN_UTF8FromIdentifier(NPIdentifier aIdentifier);
     static int32_t NP_CALLBACK NPN_IntFromIdentifier(NPIdentifier aIdentifier);
 
-#ifdef OS_MACOSX
+#ifdef MOZ_WIDGET_COCOA
     void ProcessNativeEvents();
     
     void PluginShowWindow(uint32_t window_id, bool modal, CGRect r) {
diff -Naurp mozilla-central.orig/dom/plugins/PluginModuleParent.cpp mozilla-central/dom/plugins/PluginModuleParent.cpp
--- dom/plugins/PluginModuleParent.cpp	2010-12-14 17:02:44.000000000 -0800
+++ dom/plugins/PluginModuleParent.cpp	2010-12-21 14:04:20.000000000 -0800
@@ -915,9 +915,11 @@ CAUpdate(nsITimer *aTimer, void *aClosur
     nsTObserverArray<PluginInstanceParent*> *ips =
         static_cast<nsTObserverArray<PluginInstanceParent*> *>(aClosure);
     nsTObserverArray<PluginInstanceParent*>::ForwardIterator iter(*ips);
+#ifdef MOZ_WIDGET_COCOA
     while (iter.HasMore()) {
         iter.GetNext()->Invalidate();
     }
+#endif // MOZ_WIDGET_COCOA
 }
 
 void
diff -Naurp mozilla-central.orig/modules/plugin/base/src/nsNPAPIPlugin.cpp mozilla-central/modules/plugin/base/src/nsNPAPIPlugin.cpp
--- modules/plugin/base/src/nsNPAPIPlugin.cpp	2010-12-14 17:03:31.000000000 -0800
+++ modules/plugin/base/src/nsNPAPIPlugin.cpp	2010-12-21 14:04:20.000000000 -0800
@@ -83,7 +83,7 @@
 #include "nsIObserverService.h"
 #include <prinrval.h>
 
-#ifdef XP_MACOSX
+#ifdef MOZ_WIDGET_COCOA
 #include <Carbon/Carbon.h>
 #include <ApplicationServices/ApplicationServices.h>
 #include <OpenGL/OpenGL.h>
diff -Naurp mozilla-central.orig/toolkit/library/Makefile.in mozilla-central/toolkit/library/Makefile.in
--- toolkit/library/Makefile.in	2010-12-14 17:03:37.000000000 -0800
+++ toolkit/library/Makefile.in	2010-12-21 14:04:20.000000000 -0800
@@ -194,6 +194,9 @@ EXTRA_DSO_LDOPTS += \
 	-framework CoreAudio \
 	-framework AudioToolbox \
 	-framework AudioUnit \
+	-framework IOKit \
+	-framework Foundation \
+	-framework AppKit \
 	$(NULL)
 endif
 endif
